android {
  # includes openssl libs onto android build
    INCLUDEPATH += $$PWD/include

    contains(QT_ARCH, arm) {
        message(Android armv7a $$QT_ARCH)
        ANDROID_EXTRA_LIBS += $$PWD/arch-armeabi-v7a/libcrypto.so
        ANDROID_EXTRA_LIBS += $$PWD/arch-armeabi-v7a/libssl.so
        LIBS += -L$$PWD/arch-armeabi-v7a -lcrypto
    }

    contains(QT_ARCH, i386) {
        message(Android x86 $$QT_ARCH)
        ANDROID_EXTRA_LIBS += $$PWD/arch-x86/libcrypto_1_0_0.so
        ANDROID_EXTRA_LIBS += $$PWD/arch-x86/libssl_1_0_0.so
        LIBS += -L$$PWD/arch-x86 -lcrypto
    }
}

linux|macx {
    UNAME = $$system(uname -a)
    contains(UNAME, archlinux): ARCHLINUX = 1

    contains(ARCHLINUX, 1): {
        message(ArchLinux build)
        INCLUDEPATH += /usr/include/openssl-1.0
        LIBRARYPATH += /usr/lib/openssl-1.0
        LIBS += -L/usr/lib/openssl-1.0 -lcrypto
    }
}

ios {
    INCLUDEPATH += $$PWD/include
    LIBS += -L$$PWD/ios -lcrypto
}
